## PhoshHksInfo

PhoshHksInfo — A widget to display the HKS status of a device

## Functions

GtkWidget * | phosh_hks_info_new ()

## Properties

gboolean | blocked | Read / Write
char * | device-type | Read / Write / Construct Only
gboolean | present | Read / Write

## Types and Values

#define | PHOSH_TYPE_HKS_INFO
| PhoshHksInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshHksInfo

## Implemented Interfaces

PhoshHksInfo implements AtkImplementorIface and GtkBuildable.

## Description

PhoshHksInfo displays whether a device is disabled via a hardware kill switch (HKS).

## Functions

### phosh_hks_info_new ()

    GtkWidget *
    phosh_hks_info_new (void);

## Types and Values

### PHOSH_TYPE_HKS_INFO

    #define PHOSH_TYPE_HKS_INFO (phosh_hks_info_get_type ())

### PhoshHksInfo

    typedef struct _PhoshHksInfo PhoshHksInfo;

## Property Details

### The `“blocked”` property

      “blocked”                  gboolean

Whether the device is blocked.

Owner: PhoshHksInfo

Flags: Read / Write

Default value: FALSE

### The `“device-type”` property

      “device-type”              char *

The moniored device type.

Owner: PhoshHksInfo

Flags: Read / Write / Construct Only

Default value: NULL

### The `“present”` property

      “present”                  gboolean

Whether hks hardware is present.

Owner: PhoshHksInfo

Flags: Read / Write

Default value: FALSE